org.jfree.chart.renderer.xy

## Class StandardXYBarPainter

- java.lang.Object
- - org.jfree.chart.renderer.xy.StandardXYBarPainter

All Implemented Interfaces:
  java.io.Serializable, XYBarPainter

    public class StandardXYBarPainter
    extends java.lang.Object
    implements XYBarPainter, java.io.Serializable

An implementation of the `XYBarPainter` interface that preserves the behaviour of bar painting that existed prior to the introduction of the `XYBarPainter` interface.

Since:
  1.0.11
See Also:
  `GradientXYBarPainter`, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`StandardXYBarPainter()` Creates a new instance.

### Method Summary

Methods
`boolean` `equals(java.lang.Object obj)` Tests this instance for equality with an arbitrary object.
`int` `hashCode()` Returns a hash code for this instance.
`void` `paintBar(java.awt.Graphics2D g2, XYBarRenderer renderer, int row, int column, java.awt.geom.RectangularShape bar, org.jfree.ui.RectangleEdge base)` Paints a single bar instance.
`void` `paintBarShadow(java.awt.Graphics2D g2, XYBarRenderer renderer, int row, int column, java.awt.geom.RectangularShape bar, org.jfree.ui.RectangleEdge base, boolean pegShadow)` Paints a single bar instance.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StandardXYBarPainter

    public StandardXYBarPainter()

Creates a new instance.

### Method Detail

#### paintBar

    public void paintBar(java.awt.Graphics2D g2,
                XYBarRenderer renderer,
                int row,
                int column,
                java.awt.geom.RectangularShape bar,
                org.jfree.ui.RectangleEdge base)

Paints a single bar instance.

Specified by:
  `paintBar` in interface `XYBarPainter`
Parameters:
  `g2` - the graphics target.
  `renderer` - the renderer.
  `row` - the row index.
  `column` - the column index.
  `bar` - the bar
  `base` - indicates which side of the rectangle is the base of the bar.

#### paintBarShadow

    public void paintBarShadow(java.awt.Graphics2D g2,
                      XYBarRenderer renderer,
                      int row,
                      int column,
                      java.awt.geom.RectangularShape bar,
                      org.jfree.ui.RectangleEdge base,
                      boolean pegShadow)

Paints a single bar instance.

Specified by:
  `paintBarShadow` in interface `XYBarPainter`
Parameters:
  `g2` - the graphics target.
  `renderer` - the renderer.
  `row` - the row index.
  `column` - the column index.
  `bar` - the bar
  `base` - indicates which side of the rectangle is the base of the bar.
  `pegShadow` - peg the shadow to the base of the bar?

#### equals

    public boolean equals(java.lang.Object obj)

Tests this instance for equality with an arbitrary object.

Overrides:
  `equals` in class `java.lang.Object`
Parameters:
  `obj` - the obj (`null` permitted).
Returns:
  A boolean.

#### hashCode

    public int hashCode()

Returns a hash code for this instance.

Overrides:
  `hashCode` in class `java.lang.Object`
Returns:
  A hash code.